services:
    _defaults:
        autowire: true
        autoconfigure: true

    # exports
    Chill\PersonBundle\Export\Export\CountAccompanyingCourseStepHistory:
        tags:
            - { name: chill.export, alias: count_acpstephistory }

    # filters
    Chill\PersonBundle\Export\Filter\AccompanyingPeriodStepHistoryFilters\ByDateFilter:
        tags:
            - { name: chill.export_filter, alias: acpstephistory_filter_by_date }

    Chill\PersonBundle\Export\Filter\AccompanyingPeriodStepHistoryFilters\ByStepFilter:
        tags:
            - { name: chill.export_filter, alias: acpstephistory_filter_by_step }

    # aggregators
    Chill\PersonBundle\Export\Aggregator\AccompanyingPeriodStepHistoryAggregators\ByClosingMotiveAggregator:
        tags:
            - { name: chill.export_aggregator, alias: acpstephistory_agg_by_closing_motive }

    Chill\PersonBundle\Export\Aggregator\AccompanyingPeriodStepHistoryAggregators\ByDateAggregator:
        tags:
            - { name: chill.export_aggregator, alias: acpstephistory_agg_by_date }

    Chill\PersonBundle\Export\Aggregator\AccompanyingPeriodStepHistoryAggregators\ByStepAggregator:
        tags:
            - { name: chill.export_aggregator, alias: acpstephistory_agg_by_step }
